Bug 244081 - busted patch? ypbind-mt-1.12-disconnect-logging.patch
busted patch? ypbind-mt-1.12-disconnect-logging.patch
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypbind (Show other bugs)
3.9
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 13:42 EDT by Jack Neely
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Neely 2007-06-13 13:42:25 EDT
Description of problem:
My Beowulf uses NIS and finds the NIS servers via a broadcast on the internal
network.  This morning, NIS was horribly, horribly broken.

With the -d option for debug, ypbind segfaults.

# ypbind -d
parsing config file
No entry found.
add_server() domain: beowulf, broadcast
[Welcome to ypbind-mt, version 1.12]

do_broadcast() for domain 'beowulf' is called
Answer for domain 'beowulf' from unknown server '10.1.1.11'
Segmentation fault

Without the debug option ypbind clone()'s itself as a daemon and then the new
process segfaults.

This was a fun way to find my Beowulf this morning.  I've gone back to
1.12-5.21.9 and am not having problems.  The only change I see is the logging patch.

Version-Release number of selected component (if applicable):
ypbind-1.12-5.21.10
Comment 1 RHEL Product and Program Management 2007-10-19 14:36:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.